/*
 * WebApiSegura Token JWT XrmAPI
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: v1
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.swagger.client.model;

import java.util.Objects;
import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;


/**
 * CFirmante
 */

public class CFirmante {
  @SerializedName("nombre")
  private String nombre = null;

  @SerializedName("ap_paterno")
  private String apPaterno = null;

  @SerializedName("ap_materno")
  private String apMaterno = null;

  @SerializedName("email")
  private String email = null;

  @SerializedName("rfc")
  private String rfc = null;

  public CFirmante nombre(String nombre) {
    this.nombre = nombre;
    return this;
  }

   /**
   * Get nombre
   * @return nombre
  **/
  @ApiModelProperty(value = "")
  public String getNombre() {
    return nombre;
  }

  public void setNombre(String nombre) {
    this.nombre = nombre;
  }

  public CFirmante apPaterno(String apPaterno) {
    this.apPaterno = apPaterno;
    return this;
  }

   /**
   * Get apPaterno
   * @return apPaterno
  **/
  @ApiModelProperty(value = "")
  public String getApPaterno() {
    return apPaterno;
  }

  public void setApPaterno(String apPaterno) {
    this.apPaterno = apPaterno;
  }

  public CFirmante apMaterno(String apMaterno) {
    this.apMaterno = apMaterno;
    return this;
  }

   /**
   * Get apMaterno
   * @return apMaterno
  **/
  @ApiModelProperty(value = "")
  public String getApMaterno() {
    return apMaterno;
  }

  public void setApMaterno(String apMaterno) {
    this.apMaterno = apMaterno;
  }

  public CFirmante email(String email) {
    this.email = email;
    return this;
  }

   /**
   * Get email
   * @return email
  **/
  @ApiModelProperty(value = "")
  public String getEmail() {
    return email;
  }

  public void setEmail(String email) {
    this.email = email;
  }

  public CFirmante rfc(String rfc) {
    this.rfc = rfc;
    return this;
  }

   /**
   * Get rfc
   * @return rfc
  **/
  @ApiModelProperty(value = "")
  public String getRfc() {
    return rfc;
  }

  public void setRfc(String rfc) {
    this.rfc = rfc;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    CFirmante cFirmante = (CFirmante) o;
    return Objects.equals(this.nombre, cFirmante.nombre) &&
        Objects.equals(this.apPaterno, cFirmante.apPaterno) &&
        Objects.equals(this.apMaterno, cFirmante.apMaterno) &&
        Objects.equals(this.email, cFirmante.email) &&
        Objects.equals(this.rfc, cFirmante.rfc);
  }

  @Override
  public int hashCode() {
    return Objects.hash(nombre, apPaterno, apMaterno, email, rfc);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class CFirmante {\n");
    
    sb.append("    nombre: ").append(toIndentedString(nombre)).append("\n");
    sb.append("    apPaterno: ").append(toIndentedString(apPaterno)).append("\n");
    sb.append("    apMaterno: ").append(toIndentedString(apMaterno)).append("\n");
    sb.append("    email: ").append(toIndentedString(email)).append("\n");
    sb.append("    rfc: ").append(toIndentedString(rfc)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

